<?php
/**
 * core.php - core functions
 *
 * Fsk141 Framework
 * Unbloated template for simpletons
 *
 * License GPLv3 (license.txt)
 */

// Add posts & comments feed to head
add_theme_support( 'automatic-feed-links' );

// Add menu support
register_nav_menu('main', 'Main navigation menu');

// Max image width
if ( ! isset( $content_width ) ) $content_width = 900;

// Right/Left/Bottom sidebars
register_sidebar(array(
	'name'=>'Left Sidebar',
	'before_widget' => '<div class="leftwidget">',
	'after_widget' => '</div>',
	'before_title' => '<h2 class="widgettitle">',
	'after_title' => '</h2>',
));

register_sidebar(array(
	'name'=>'Right Sidebar',
	'before_widget' => '<div class="rightwidget">',
	'after_widget' => '</div>',
	'before_title' => '<h2 class="widgettitle">',
	'after_title' => '</h2>',
));

register_sidebar(array(
	'name'=>'Bottom Sidebar',
	'before_widget' => '<div class="footerwidget">',
	'after_widget' => '</div>',
	'before_title' => '<h2 class="widgettitle">',
	'after_title' => '</h2>',
));

// Get framework version
function get_framework_version( $theme_file ) {
	$defadivt_headers = array(
		'FrameworkVersion' => 'Framework Version'
	);

	$theme_data = get_file_data( $theme_file, $defadivt_headers, 'theme' );

	return $theme_data;
}

?>
