<?php
/**
 * loop.php - Posts/Pages (the guts of the template)
 *
 * Fsk141 Framework
 * Unbloated template for simpletons
 *
 * License GPLv3 (license.txt)
 */
?>

<!-- #loop -->
	<div id="loop">
		<?php if ( have_posts() ) : while ( have_posts() ) : the_post(); ?>

	<!-- .post -->
	<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>

		<!-- .title -->
		<header class="title">
			<?php if (get_the_title() == "") { ?>
				<h2><a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link to <?php the_title_attribute(); ?>">Post From <?php the_time('F jS, Y') ?></a></h2>
			<?php }else {?>	
				<h2><a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link to <?php the_title_attribute(); ?>"><?php the_title(); ?></a></h2>
			<?php } ?>
		</header>

		<!-- .date_author -->
		<div class="date_author">
			<?php the_time('F jS, Y') ?> by <?php the_author_posts_link() ?>
			<?php edit_post_link(); ?>
		</div>

		<!-- .text_chunk -->
		<div class="text_chunk">
			<?php the_content(); ?>
		</div>

		<!-- .pagelinks -->
		<?php wp_link_pages('before=<div id="pagelinks">&after=</div>'); ?>

		<!-- .category -->
			<?php if ( is_home() ) { ?>
				<div class="category">
			<?php
				echo "Posted in: "; the_category( ', ' ); echo " | ";
				the_tags('Tags: ', ', ', ' | ');
				echo " "; comments_popup_link( 'Leave a comment', '1 comment', '% comments', 'comments' ); ?>
		</div>

		<!-- Post comment link/Page comments -->
		<?php } elseif ( is_singular() ) { ?>

		<!-- .comment -->
		<div class="comment">
			<?php 
				echo "Posted in: "; the_category( ', ' ); echo " | ";
				the_tags('Tags: ', ', ', ' | ');
				comments_template(); ?>
		</div>

		<?php } ?>

	<!-- END .post -->
	</article>

		<?php endwhile; else: ?>

		<!-- FAIL -->
			<p>Sorry, no posts matched your criteria.</p>

		<?php endif; ?>

	</div>

<!-- #loopnav -->
<nav id="loopnav">

	<?php if ( is_home() ) { ?>

		<div class="loopnav-prev"><?php next_posts_link( '&larr; Older posts'  ); ?></div>
		<div class="loopnav-next"><?php previous_posts_link( 'Newer posts &rarr;' ); ?></div>

	<?php } elseif ( is_single() and ! is_page() ) { ?>

		<div class="loopnav-prev"><?php previous_post_link(); ?></div>
		<div class="loopnav-next"><?php next_post_link(); ?></div>

	<?php } ?>
		
<!-- END #loopnav -->
</nav>
